%define languageenglazy Azerbaijani
%define languagecode    az
%define lc_ctype        az_AZ

%define upstream_version 20040827

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 11
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPL+
Group:          System/Internationalization
URL:            http://borel.slu.edu/crubadan/apps.html
Source0:        ftp://ftp.gnu.org/gnu/aspell/dict/az/aspell6-%{languagecode}-0.02-0.tar.bz2

BuildRequires:  aspell
BuildRequires:  hunspell-devel
BuildRequires:  hunspell

BuildArch:      noarch

Suggests:       hunspell

Requires:       locales-az
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} <= 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} <= 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.

%prep
%setup -q -n aspell6-%{languagecode}-0.02-0

%build
export LANG=%{lc_ctype}.utf8
preunzip %{languagecode}.cwl
wordlist2hunspell %{languagecode}.wl %{lc_ctype}
for i in Copyright doc/Crawler.txt; do
  if ! iconv -f utf-8 -t utf-8 -o /dev/null $i > /dev/null 2>&1; then
    iconv -f ISO-8859-1 -t UTF-8 $i > $i.new
    touch -r $i $i.new
    mv -f $i.new $i
  fi
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done

%install
install -D -m 0644 -p %{lc_ctype}.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p %{lc_ctype}.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc COPYING Copyright README doc/Crawler.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.20040827.1-11.mga3
+ Revision: 353382
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 0.20040827.1-10.mga3
+ Revision: 325154
- rebuild for Mga3 Beta1

* Tue Mar 20 2012 kamil <kamil> 0.20040827.1-9.mga2
+ Revision: 224558
- add requirement on locales (mga#4632)

* Sun Feb 12 2012 kamil <kamil> 0.20040827.1-8.mga2
+ Revision: 207637
- use better obsoleting of myspell

* Mon Jan 16 2012 kamil <kamil> 0.20040827.1-7.mga2
+ Revision: 196606
- drop requirement on locales
- hunspell is now suggested
- adapt the file to the current policy
  o use languageenglazy, languagecode, lc_ctype defines
  o add requirements on locales-%%{languagecode}
  o add providing of
  x enchant-dictionary
  x hunspell-dictionary
  x hunspell-%%{lc_ctype}
  x dictionary-%%{languagecode}
  x dictionary-%%{lc_ctype}
  o install files into %%{_datadir}/hunspell/*
  o add backward compatibility for myspell
  o obsolete myspell-az dictionaries
- clean spec

* Sat Mar 12 2011 dmorgan <dmorgan> 0.20040827.1-5.mga1
+ Revision: 69938
- Fix buildrequires
- imported package hunspell-az

